
<template>
  <v-container fluid>
    <v-card>
      <v-card-title>
        Login
      </v-card-title>
      <v-card-text>
        <v-form @submit.prevent="login">
          <v-text-field v-model="username" label="Login"></v-text-field>
          <v-text-field v-model="password" label="Password" type="password"></v-text-field>
          <v-btn @click="submitForm">Login</v-btn>
        </v-form>
      </v-card-text>
    </v-card>
  </v-container>
</template>



<script>
export default {
  data() {
    return {
      login: '',
      password: '',
    };
  },
  methods: {
    submitForm() {
      this.$router.push({
        name: 'GameScene',
        params: {
          login: this.login,
          password: this.password,
        },
      });
    },
  },
};
</script>
